### Function

# GLib HashTable destroy

#### Declaration

    void
    g_hash_table_destroy (
      GHashTable* hash_table
    )

#### Description

Destroys all keys and values in the `GHashTable` and decrements its reference count by 1. If keys and/or values are dynamically allocated, you should either free them first or create the `GHashTable` with destroy notifiers using g_hash_table_new_full(). In the latter case the destroy functions you supplied will be called on all keys and values during the destruction phase.

#### Parameters

`hash_table`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.